// Copyright (C) 1997-2002 Valeriy Ovechkin
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// AuthorPage.cpp : implementation file
//

#include "stdafx.h"
#include "about.h"
#include "AuthorPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAuthorPage property page

IMPLEMENT_DYNCREATE(CAuthorPage, CPropertyPage)

CAuthorPage::CAuthorPage() : CPropertyPage(CAuthorPage::IDD)
{
	//{{AFX_DATA_INIT(CAuthorPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CAuthorPage::~CAuthorPage()
{
}

void CAuthorPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAuthorPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAuthorPage, CPropertyPage)
	//{{AFX_MSG_MAP(CAuthorPage)
	ON_BN_CLICKED(ID_MY_EMAIL, OnMyEmail)
	ON_BN_CLICKED(ID_MY_HOMEPAGE, OnMyHomepage)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAuthorPage message handlers

void CAuthorPage::OnMyEmail() 
{
	CString strMyName;
	strMyName.LoadString( IDS_MY_NAME );

	CString strLink;
	AfxFormatString2( strLink, IDS_URL_MY_EMAIL_2, strMyName, theApp.m_strProductName + _T(' ') + theApp.m_strShortVersion );	
	theApp.FollowLink( strLink );
}

void CAuthorPage::OnMyHomepage() 
{
	theApp.FollowLink( IDS_URL_MY_HOMEPAGE );
}

BOOL CAuthorPage::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	CString strTmp1, strTmp2;
	
	GetDlgItemText( IDC_TEXT_MY_HOMEPAGE, strTmp1 );
	strTmp2.LoadString( IDS_URL_MY_HOMEPAGE );
	strTmp1 += strTmp2;
	SetDlgItemText( IDC_TEXT_MY_HOMEPAGE, strTmp1 );
	
	GetDlgItemText( IDC_TEXT_MY_EMAIL, strTmp1 );
	strTmp2.LoadString( IDS_MY_NAME );
	strTmp1 += strTmp2;
	SetDlgItemText( IDC_TEXT_MY_EMAIL, strTmp1 );

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
