//// CRegistry  - base class for direct Registry access

#ifndef _CREG_H_
#define _CREG_H_

class CRegistry
{
public:
	CRegistry();
	~CRegistry();

	// RegSection = HKEY_x constant
	BOOL EnumValues(HKEY RegSection, LPCTSTR RegPath, 
		CStringArray* pAr);
	BOOL EnumKeys(HKEY RegSection, LPCTSTR RegPath, 
		CStringArray* pAr);
	LPCTSTR GetValueString(HKEY RegSection, LPCTSTR RegPath, 
		LPCTSTR Value, LPCTSTR DefRes=NULL);
	int GetValueInt(HKEY RegSection, LPCTSTR RegPath, 
		LPCTSTR Value, int DefRes=0);
	BOOL SetValueInt(HKEY RegSection, LPCTSTR RegPath, 
		LPCTSTR Value, int V);
	BOOL SetValueString(HKEY RegSection, LPCTSTR RegPath, 
		LPCTSTR Value, LPCTSTR V);
protected:
	CString m_sResult;	// for returning
};
#endif
