// RawHead.cpp: Implementierungsdatei
//

#include "stdafx.h"
#include "magic.h"
#include "Excerpt.h"
#include "Mailbox.h"
#include "RawHead.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// Eigenschaftenseite CRawHead 

IMPLEMENT_DYNCREATE(CRawHead, CPropertyPage)

CRawHead::CRawHead() : CPropertyPage(CRawHead::IDD)
{
	//{{AFX_DATA_INIT(CRawHead)
	m_sHeader = _T("");
	//}}AFX_DATA_INIT
	m_pExcerptArray = NULL;
}

CRawHead::~CRawHead()
{
}

void CRawHead::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRawHead)
	DDX_Text(pDX, IDC_RAW_HEADER, m_sHeader);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRawHead, CPropertyPage)
	//{{AFX_MSG_MAP(CRawHead)
	ON_WM_CLOSE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// Behandlungsroutinen fr Nachrichten CRawHead 

void CRawHead::Attach( CTypedPtrArray < CPtrArray, CExcerpt* > *pExcerptArray )
{
	ASSERT( pExcerptArray );
	m_pExcerptArray = pExcerptArray;
}

BOOL CRawHead::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	DlgTranslate(this);
	
	if (m_pExcerptArray)
	{
		CStringArray& all= (*m_pExcerptArray)[0]->m_asRawHeader;
		for (int i=0; i<all.GetSize(); i++)
		{
			m_sHeader += all[i];
			m_sHeader += "\r\n";
		}
		UpdateData(FALSE);
	}
	SheetTranslate(GetParent());	// translate parent from 1st page
	
	return FALSE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX-Eigenschaftenseiten sollten FALSE zurckgeben
}

void CRawHead::OnClose() 
{
	GetParent()->PostMessage(WM_COMMAND, IDCANCEL);
}
