// Copyright (C) 1997-2002 Valeriy Ovechkin
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// SecureString.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSecureString window

class CSecureString : public CObject
{
	DWORD m_dwCharSize;
	DWORD m_dwCheckSum;
	CByteArray m_arrayData;
	DECLARE_SERIAL( CSecureString )
// Construction
public:
	CSecureString();

// Attributes
public:

// Operations
public:
	void Serialize( CArchive& );
	void EncodeString( int intClue, CString& );
	void DecodeString( int intClue, CString& );
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSecureString)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSecureString();

	// Generated message map functions
protected:
	//{{AFX_MSG(CSecureString)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	//DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
