// Copyright (C) 1997-2002 Valeriy Ovechkin
// 
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
//
// GuestbookPage.cpp : implementation file
//

#include "stdafx.h"
#include "about.h"
#include "GuestbookPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGuestbookPage property page

IMPLEMENT_DYNCREATE(CGuestbookPage, CPropertyPage)

CGuestbookPage::CGuestbookPage() : CPropertyPage(CGuestbookPage::IDD)
{
	//{{AFX_DATA_INIT(CGuestbookPage)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CGuestbookPage::~CGuestbookPage()
{
}

void CGuestbookPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CGuestbookPage)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CGuestbookPage, CPropertyPage)
	//{{AFX_MSG_MAP(CGuestbookPage)
	ON_BN_CLICKED(ID_SIGN_GUESTBOOK, OnSignGuestbook)
	ON_BN_CLICKED(ID_VIEW_GUESTBOOK, OnViewGuestbook)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGuestbookPage message handlers

void CGuestbookPage::OnSignGuestbook() 
{
	theApp.FollowLink( IDS_URL_SIGN_GUESTBOOK );
}

void CGuestbookPage::OnViewGuestbook() 
{
	theApp.FollowLink( IDS_URL_VIEW_GUESTBOOK );
}
